Open CASCADE Technology: StepData_FieldListD Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepData_FieldListD Class Reference

Describes a list of fields, in a general way This basic class is for a null size list Subclasses are for 1, N (fixed) or Dynamic sizes. More...

`#include <StepData_FieldListD.hxx>`

Inheritance diagram for StepData_FieldListD:
[legend]

## Public Member Functions
| StepData_FieldListD (const Standard_Integer nb)
| Creates a FieldListD of <nb> Fields. More...
void | SetNb (const Standard_Integer nb)
| Sets a new count of Fields. Former contents are lost. More...
virtual Standard_Integer | NbFields () const
| Returns the count of fields. Here, returns starting <nb> More...
virtual const StepData_Field & | Field (const Standard_Integer num) const
| Returns the field n0 <num> between 1 and NbFields (read only) More...
virtual StepData_Field & | CField (const Standard_Integer num)
| Returns the field n0 <num> between 1 and NbFields, in order to modify its content. More...
virtual void | Destroy ()
virtual | ~StepData_FieldListD ()
Public Member Functions inherited from StepData_FieldList
| StepData_FieldList ()
| Creates a FieldList of 0 Field. More...
void | FillShared (Interface_EntityIterator &iter) const
| Fills an iterator with the entities shared by <me> More...

## Detailed Description

Describes a list of fields, in a general way This basic class is for a null size list Subclasses are for 1, N (fixed) or Dynamic sizes.

## Constructor & Destructor Documentation

StepData_FieldListD::StepData_FieldListD | ( | const Standard_Integer | nb | ) |

Creates a FieldListD of <nb> Fields.

virtual StepData_FieldListD::~StepData_FieldListD | ( |  | ) |
| inlinevirtual

## Member Function Documentation

virtual StepData_Field& StepData_FieldListD::CField | ( | const Standard_Integer | num | ) |
| virtual

Returns the field n0 <num> between 1 and NbFields, in order to modify its content.

Reimplemented from StepData_FieldList.

virtual void StepData_FieldListD::Destroy | ( |  | ) |
| virtual

virtual const StepData_Field& StepData_FieldListD::Field | ( | const Standard_Integer | num | ) | const
| virtual

Returns the field n0 <num> between 1 and NbFields (read only)

Reimplemented from StepData_FieldList.

virtual Standard_Integer StepData_FieldListD::NbFields | ( |  | ) | const
| virtual

Returns the count of fields. Here, returns starting <nb>

Reimplemented from StepData_FieldList.

void StepData_FieldListD::SetNb | ( | const Standard_Integer | nb | ) |

Sets a new count of Fields. Former contents are lost.

The documentation for this class was generated from the following file:

- StepData_FieldListD.hxx